/*
====================
JSLINT: set options
====================
*/

/*jshint esversion: 6*/
/*jshint sub:true*/

this.name			= "ferdelance3G_antiSweeper";
this.author			= "UK_Eliter";
this.copyright 		= "";
this.description	= "Script for anti-Sweeper missile ";
this.license		= "CC-by-nc-sa 3.0";



/*
------------------
DEBUGGING SWITCHES
------------------
*/

// this.logging = true;
var consoleDebugMessages = false; // do NOT comment this out. Rather, to disable, set to false.


/*
------------------------
JSLINT: start of wrapper
------------------------
*/

(function(){
"use strict";


/*
--------------------
ROUTINE CALLED BY AI
--------------------
*/

this.$_detonate = function()
{
	if (this.ship.target && this.ship.target.isThargoid) {
		this.ship.dealEnergyDamage(700, 35, 0.25);
	} else {
		this.ship.dealEnergyDamage(250, 35, 0.25);
	}
	this.ship.explode();
};


/*
----------------------
JSLINT: end of wrapper
----------------------
*/

}).call(this);


// EOF
